# Uses of Class
org.eclipse.jdt.core.dom.SuperConstructorInvocation

Packages that use SuperConstructorInvocation
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.

## Uses of SuperConstructorInvocation in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return SuperConstructorInvocation
Modifier and Type
Method
Description
`SuperConstructorInvocation`
AST.`newSuperConstructorInvocation()`
Creates an unparented alternate super constructor ("super(...);") invocation statement node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type SuperConstructorInvocation
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(SuperConstructorInvocation node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(SuperConstructorInvocation node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(SuperConstructorInvocation node)`
Visits the given type-specific AST node.

## Uses of SuperConstructorInvocation in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation with parameters of type SuperConstructorInvocation
Modifier and Type
Method
Description
`boolean`
ImportReferencesCollector.`visit(SuperConstructorInvocation node)`